﻿using System.Windows;
using System.Windows.Controls;
using System.Collections.Specialized;
using Infragistics.Silverlight;
using Infragistics.Silverlight.Controls;


namespace AlwaysMaximizedTileView
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();

			this.tileView.Items.CollectionChanged += new NotifyCollectionChangedEventHandler(Items_CollectionChanged);
		}

		void Items_CollectionChanged(object sender, NotifyCollectionChangedEventArgs e)
		{
			if ((e.OldItems == null) && (e.NewItems.Count > 0))
				(sender as TilePaneCollection)[0].TileState = TileState.Maximized;
		}

		private void AddPane(object sender, RoutedEventArgs e)
		{
			this.tileView.Items.Add(new TilePane());
		}

		private void RemovePane(object sender, RoutedEventArgs e)
		{
			TilePaneCollection tiles = this.tileView.Items;

			if(tiles.Count > 0)
				tiles.Remove(tiles[tiles.Count-1]);
		}
	}
}
